Export Integration
curl --request GET \
--url https://api-qa.interactly.ai/integrations/v2/integrations/{integration_id}/export \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-qa.interactly.ai/integrations/v2/integrations/{integration_id}/export"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-qa.interactly.ai/integrations/v2/integrations/{integration_id}/export', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"integration": {
"teamId": "5eb7cf5a86d9755df3a6c593",
"createdBy": "5eb7cf5a86d9755df3a6c593",
"updatedBy": "5eb7cf5a86d9755df3a6c593",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"logicalId": "<string>",
"provider": "microsoft",
"name": "<string>",
"status": "active",
"access": "team",
"config": {
"scope": "<string>",
"accessToken": "<string>",
"refreshToken": "<string>",
"tokenType": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"connectedAt": "2023-11-07T05:31:56Z",
"renewedAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"provider": "microsoft",
"authType": "oauth",
"authUserEmail": "<string>",
"authUserName": "<string>"
},
"timezone": "UTC"
},
"use_cases": [
{
"teamId": "5eb7cf5a86d9755df3a6c593",
"createdBy": "5eb7cf5a86d9755df3a6c593",
"updatedBy": "5eb7cf5a86d9755df3a6c593",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"logicalId": "<string>",
"integrationId": "5eb7cf5a86d9755df3a6c593",
"schedulerNames": [
"<string>"
],
"config": {
"displayName": "<string>",
"assistantId": "5eb7cf5a86d9755df3a6c593",
"status": "active",
"timezone": "<string>",
"type": "appointment_reminder_with_sheet",
"name": "New Patients Appointment Reminder",
"sheetLink": "<string>",
"actions": [
{
"logicalId": "<string>",
"templateName": "<string>",
"communicationPreference": "call",
"context": "<string>",
"reportEmails": [
"<string>"
],
"daysWindow": 7,
"status": "active",
"schedule": {
"startDateTime": "2023-11-07T05:31:56Z",
"endDateTime": "2023-11-07T05:31:56Z",
"field": "oneTime",
"triggerAt": "2023-11-07T05:31:56Z"
}
}
]
}
}
],
"resource_records": [
{
"teamId": "5eb7cf5a86d9755df3a6c593",
"createdBy": "5eb7cf5a86d9755df3a6c593",
"updatedBy": "5eb7cf5a86d9755df3a6c593",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"_id": "5eb7cf5a86d9755df3a6c593",
"logicalId": "<string>",
"integrationId": "5eb7cf5a86d9755df3a6c593",
"config": {
"type": "practitioners",
"organizationId": "<string>",
"id": "<string>",
"npi": "<string>",
"name": "<string>",
"gender": "<string>",
"avatar": "<string>",
"summary": "<string>",
"qualification": "<string>",
"education": "<string>",
"supervisorId": "5eb7cf5a86d9755df3a6c593",
"status": "active",
"languages": [
"<string>"
],
"specialties": [
{
"name": "<string>",
"code": "<string>"
}
],
"locations": [
{
"locationId": "<string>",
"locationName": "<string>"
}
],
"workingHours": {
"mon": [
{
"start": "<string>",
"end": "<string>"
}
],
"tue": [
{
"start": "<string>",
"end": "<string>"
}
],
"wed": [
{
"start": "<string>",
"end": "<string>"
}
],
"thu": [
{
"start": "<string>",
"end": "<string>"
}
],
"fri": [
{
"start": "<string>",
"end": "<string>"
}
],
"sat": [
{
"start": "<string>",
"end": "<string>"
}
],
"sun": [
{
"start": "<string>",
"end": "<string>"
}
]
},
"preferred_visiting_reasons": [
"5eb7cf5a86d9755df3a6c593"
],
"recordSource": "from_upstream"
}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Integrations IO V2
Export Integration
GET
/
integrations
/
v2
/
integrations
/
{integration_id}
/
export
Export Integration
Authorizations
Retrieve your API Key from Dashboard API Keys Section.
Path Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Response
Successful Response
Full export payload: one integration plus all its use cases and resource records.
⌘I